"use strict";
/**
 * Takes a camelCase string and returns one in PascalCase
 * @example
 * camelCaseToPascalCase('fooBar') // => 'FooBar'
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.camelCaseToPascalCase = void 0;
const camelCaseToPascalCase = (str) => str.charAt(0).toUpperCase() + str.slice(1);
exports.camelCaseToPascalCase = camelCaseToPascalCase;
