"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.countItemsInArray = void 0;
/**
 * Get an object of items in an array with count
 * @example
 * countItemsInArray([ 1, 1, 2, 3, 4 ]) // => { '1': 2, '2': 1, '3': 1, '4': 1 }
 */
const countItemsInArray = (arr) => arr.reduce((a, c) => {
    if (a[c.toString()]) {
        a[c.toString()]++;
    }
    else {
        a[c.toString()] = 1;
    }
    return a;
}, {});
exports.countItemsInArray = countItemsInArray;
