"use strict";
/**
 * PascalCase to lisp-case
 * @example
 * pascalCaseToLispCase('FooBar') // => 'foo-bar'
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.pascalCaseToLispCase = void 0;
const pascalCaseToLispCase = (str) => str.charAt(0).toLowerCase() + str.slice(1).replace(/[A-Z]/g, (m) => '-' + m.toLowerCase()).toLowerCase();
exports.pascalCaseToLispCase = pascalCaseToLispCase;
