"use strict";
/**
 * PascalCase to snake_case
 * @example
 * pascalCaseToSnakeCase('FooBar') // => 'foo_bar'
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.pascalCaseToSnakeCase = void 0;
const pascalCaseToSnakeCase = (str) => str.charAt(0).toLowerCase() + str.slice(1).replace(/[A-Z]/g, (m) => '_' + m.toLowerCase()).toLowerCase();
exports.pascalCaseToSnakeCase = pascalCaseToSnakeCase;
