"use strict";
/**
 * Takes a camelCase string and returns one in snake_case
 * @example
 * camelCaseToSnakeCase('fooBar') // => 'foo_bar'
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.camelCaseToSnakeCase = void 0;
const camelCaseToSnakeCase = (str) => str.replace(/[A-Z]/g, (match) => '_' + match.toLowerCase()).toLowerCase();
exports.camelCaseToSnakeCase = camelCaseToSnakeCase;
