"use strict";
/**
 * Double an array until it's n long
 * @example
 * doubleUntil(2)([ 'hi' ]) // => [ 'hi', 'hi' ]
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.doubleUntil = void 0;
const doubleUntil = (minSize = 0) => function double(arr) {
    if (arr.length >= minSize) {
        return arr;
    }
    return double([...arr, ...arr]);
};
exports.doubleUntil = doubleUntil;
