"use strict";
/**
 * From lisp-case to PascalCase
 * @example
 * lispCaseToPascalCase('foo-bar') // => 'FooBar'
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.lispCaseToPascalCase = void 0;
const lispCaseToPascalCase = (str) => {
    const c = str.toLowerCase().replace(/-[a-z]/g, (m) => m.slice(1).toUpperCase());
    return c.charAt(0).toUpperCase() + c.slice(1);
};
exports.lispCaseToPascalCase = lispCaseToPascalCase;
