"use strict";
/**
 * snake_case to PascalCase
 * @example
 * snakeCaseToPascalCase('foo_bar') // => 'FooBar'
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.snakeCaseToPascalCase = void 0;
const snakeCaseToPascalCase = (str) => {
    const c = str.toLowerCase().replace(/_[a-z]/g, (m) => m.slice(1).toUpperCase());
    return c.charAt(0).toUpperCase() + c.slice(1);
};
exports.snakeCaseToPascalCase = snakeCaseToPascalCase;
