"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.zip = void 0;
const pair_1 = require("./pair");
const zip_with_1 = require("./zip-with");
// TODO: make variadic
/**
 * Makes a list of tuples
 *
 * Each tuple is the elements of each passed array
 * at the same position
 * @example
 * zip([ 1, 2 ], [ 3, 4 ]) // => [ [ 1, 3 ], [ 2, 4 ] ]
 */
const zip = (xs, ys) => (0, zip_with_1.zipWith)(pair_1.pair, xs, ys);
exports.zip = zip;
